import { CompiledFunction } from "../../classes/internal/CompiledFunction";
import { APIFunction, ParamType } from "../../structures/APIFunction";
import $createCanvas from "./createCanvas";
import { Data } from "../../structures/Data";
export default class DrawRect extends APIFunction {
    name: string;
    description: string;
    parameters: ({
        name: string;
        description: string;
        type: ParamType;
        required: boolean;
        rest: boolean;
        defaultValue: null;
    } | {
        name: string;
        description: string;
        type: ParamType;
        required: boolean;
        rest: boolean;
        defaultValue: string;
    })[];
    usage: string;
    returns: ParamType;
    aliases: never[];
    compile: boolean;
    parent: $createCanvas;
    run(this: CompiledFunction, d: Data, [x, y, width, height, radius]: string[]): Promise<void>;
}
