import { CompiledFunction } from "../../classes/internal/CompiledFunction";
import { APIFunction, ParamType } from "../../structures/APIFunction";
import $createCanvas from "./createCanvas";
import { Data } from "../../structures/Data";
export default class SetFontStretch extends APIFunction {
    name: string;
    description: string;
    parameters: readonly [{
        readonly name: "Value";
        readonly description: "The font stretch value as a string.";
        readonly type: ParamType.String;
        readonly required: false;
        readonly rest: false;
        readonly defaultValue: null;
        readonly allowedValues: string[];
    }];
    usage: string;
    returns: ParamType;
    aliases: never[];
    compile: boolean;
    parent: $createCanvas;
    run(this: CompiledFunction, d: Data, [value]: string[]): Promise<void>;
}
