import { CompiledFunction } from "../../classes/internal/CompiledFunction";
import { APIFunction, ParamType } from "../../structures/APIFunction";
import { Data } from "../../structures/Data";
export default class Break extends APIFunction {
    name: string;
    description: string;
    parameters: never[];
    usage: string;
    returns: ParamType;
    aliases: string[];
    compile: boolean;
    run(this: CompiledFunction, d: Data): Promise<void>;
}
