import { CompiledFunction } from "../../classes/internal/CompiledFunction";
import { APIFunction, ParamType, ParameterDefinition } from "../../structures/APIFunction";
import { Data } from "../../structures/Data";
export default class $data extends APIFunction {
    name: string;
    description: string;
    parameters: ParameterDefinition[];
    usage: string;
    returns: ParamType;
    aliases: never[];
    compile: boolean;
    run(this: CompiledFunction, d: Data, [path]: string[]): Promise<string>;
}
