import { CompiledFunction } from "../../classes/internal/CompiledFunction";
import { APIFunction, ParamType } from "../../structures/APIFunction";
import { Data } from "../../structures/Data";
export default class Ignore extends APIFunction {
    name: string;
    description: string;
    parameters: ({
        name: string;
        description: string;
        type: ParamType;
        required: boolean;
        rest: boolean;
        defaultValue: null;
        allowedValues?: undefined;
    } | {
        name: string;
        description: string;
        type: ParamType;
        required: boolean;
        rest: boolean;
        defaultValue: string;
        allowedValues: string[];
    })[];
    usage: string;
    returns: ParamType;
    compile: boolean;
    aliases: string[];
    run(this: CompiledFunction, d: Data, [code, retrieve]: string[]): Promise<string | undefined>;
}
