import { CompiledFunction } from "../../classes/internal/CompiledFunction";
import { APIFunction, ParamType } from "../../structures/APIFunction";
import { Data } from "../../structures/Data";
export default class HTTPStatus extends APIFunction {
    name: string;
    description: string;
    parameters: never[];
    usage: string;
    returns: ParamType;
    compile: boolean;
    aliases: never[];
    run(this: CompiledFunction, d: Data): Promise<string>;
}
