import { CompiledFunction } from "../../classes/internal/CompiledFunction";
import { APIFunction, ParamType } from "../../structures/APIFunction";
import { Data } from "../../structures/Data";
export default class GetCPU extends APIFunction {
    name: string;
    description: string;
    parameters: {
        name: string;
        description: string;
        type: ParamType;
        required: boolean;
        rest: boolean;
        defaultValue: string;
    }[];
    usage: string;
    returns: ParamType;
    compile: boolean;
    aliases: never[];
    run(this: CompiledFunction, d: Data, [decimals]: string[]): Promise<string>;
}
